Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | Private Attributes | List of all members
eZScriptClusterPurge Class Reference

## Public Member Functions
| __construct ()
| run ()
| __get ( $propertyName)
| __set ( $propertyName, $propertyValue)
| monitor ( $text)

## Static Public Member Functions
static | isRequired ()

## Public Attributes
const | LOG_FILE = 'clusterpurge.log'

## Private Attributes
| $options = array()

## Detailed Description

Definition at line 31 of file ezscriptclusterpurge.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZScriptClusterPurge::__construct | ( |  | ) |

Definition at line 33 of file ezscriptclusterpurge.php.

## Member Function Documentation

## ◆ __get()

eZScriptClusterPurge::__get | ( |  | $propertyName | ) |

Definition at line 117 of file ezscriptclusterpurge.php.

## ◆ __set()

eZScriptClusterPurge::__set | ( |  | $propertyName,
|  |  | $propertyValue
| ) |  |

Todo:
  Add type & value check

Definition at line 160 of file ezscriptclusterpurge.php.

## ◆ isRequired()

static eZScriptClusterPurge::isRequired | ( |  | ) |
| static

Performs preliminary checks in order to ensure the process can be started:

- does the active cluster handler require purging of binary files

Returns
  bool

Definition at line 52 of file ezscriptclusterpurge.php.

References $result, and eZClusterFileHandler\instance().

## ◆ monitor()

eZScriptClusterPurge::monitor | ( |  | $text | ) |

Definition at line 196 of file ezscriptclusterpurge.php.

References eZLog\write().

Referenced by run().

## ◆ run()

eZScriptClusterPurge::run | ( |  | ) |

Executes the purge operation

Todo:
  Endless loop on fetch list. The expired items are returned over and over again

Definition at line 65 of file ezscriptclusterpurge.php.

References $fh, $file, $limit, eZClusterFileHandler\instance(), monitor(), and eZLog\rotateLog().

## Member Data Documentation

## ◆ $options

eZScriptClusterPurge::$options = array()
| private

Definition at line 204 of file ezscriptclusterpurge.php.

## ◆ LOG_FILE

const eZScriptClusterPurge::LOG_FILE = 'clusterpurge.log'

Definition at line 206 of file ezscriptclusterpurge.php.

The documentation for this class was generated from the following file:

- ezscriptclusterpurge.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.